local cursors, hotspots, last, custom
local s = 100
local p = 10
local rs = 5
function love.load()
	cursors = {
		"arrow",
		"ibeam",
		"wait",
		"waitarrow",
		"crosshair",
		"sizenwse",
		"sizenesw",
		"sizewe",
		"sizens",
		"sizeall",
		"no",
		"hand",
		"custom"
	}
	hotspots = {}
	for i=1, #cursors do
		local r = math.floor((i-1)/rs)
		local y = r*(s+p)
		local x = (i-1-(r*rs))*(s+p)
		hotspots[i] = {cursors[i], p+x, p+y}
	end
	last = 1
	custom = love.mouse.newCursor("cursor.png")
	love.graphics.setBackgroundColor(0.1, 0.1, 0.1)
end

function love.update()
	local x, y = love.mouse.getPosition()
	for i=1, #hotspots do
		if x > hotspots[i][2] and x <= hotspots[i][2]+s and y > hotspots[i][3] and y <= hotspots[i][3]+s then
			if i ~= last then
				last = i
				if hotspots[i][1] == "custom" then
					love.mouse.setCursor(custom)
				else
					love.mouse.setCursor(love.mouse.getSystemCursor(hotspots[i][1]))
				end
			end
			return
		end
	end
	if last ~= 0 then
		last = 0
		love.mouse.setCursor()
	end
end

function love.draw()
	love.graphics.print(string.format("x: %f\ny: %f\ntime: %f", love.mouse.getX(), love.mouse.getY(), love.timer.getTime()), p, love.graphics.getHeight()-100)
	for i=1, #hotspots do
		love.graphics.setColor(0.2, 0.2, 0.2)
		love.graphics.rectangle("fill", hotspots[i][2], hotspots[i][3], s, s)
		love.graphics.setColor(0.9, 0.9, 0.9)
		love.graphics.print(hotspots[i][1], hotspots[i][2]+5, hotspots[i][3]+5)
	end
end

function love.handlers.keypressed(key)
	if key == "g" then
		love.mouse.setGrabbed(not love.mouse.isGrabbed())
	end
end
