local image
local reference
local plain = false
function love.load()
	reference = love.graphics.newImage("demos/rotate.png")
	image = love.graphics.newImage("test.png")
	love.graphics.setBackgroundColor(1/16, 1/16, 1/16, 1)
end

function love.draw()
	local time = love.timer.getTime()
	local w, h = love.graphics.getDimensions()
	local w2, h2 = w/2, h/2
	local iw, ih = image:getWidth(), image:getHeight()
	local iw2, ih2 = iw/2, ih/2
	local r, g, b = math.cos(time), math.cos(4/3*math.pi+time), math.cos(2/3*math.pi+time)
	local ox, oy = math.sin(time)*iw2+iw2, math.sin(time)*ih2+ih2
	if plain then
		love.graphics.setColor(1, 1, 1, 0.25)
		love.graphics.draw(image, 0, 0, math.cos(time), 1, 1, iw2, ih2)
		love.graphics.setColor(1, 1, 1, 1)
		love.graphics.draw(image, w2, h2, math.cos(time))
		love.graphics.draw(image, w2, h2, math.cos(time), 1, 1, iw2, ih2)
		love.graphics.print("press space to disable plain mode", 20, 20)
	else
		local r, g, b = math.cos(time), math.cos(4/3*math.pi+time), math.cos(2/3*math.pi+time)
		local ox, oy = math.sin(time)*iw2+iw2, math.sin(time)*ih2+ih2
		love.graphics.setColor(r, g, b, 0.1)
		love.graphics.draw(image, w2, h2, math.cos(time+1.8), 1, 1, ox, oy)
		love.graphics.setColor(r, g, b, 0.2)
		love.graphics.draw(image, w2, h2, math.cos(time+1.6), 1, 1, ox, oy)
		love.graphics.setColor(r, g, b, 0.3)
		love.graphics.draw(image, w2, h2, math.cos(time+1.4), 1, 1, ox, oy)
		love.graphics.setColor(r, g, b, 0.4)
		love.graphics.draw(image, w2, h2, math.cos(time+1.2), 1, 1, ox, oy)
		love.graphics.setColor(r, g, b, 0.5)
		love.graphics.draw(image, w2, h2, math.cos(time+1.0), 1, 1, ox, oy)
		love.graphics.setColor(r, g, b, 0.6)
		love.graphics.draw(image, w2, h2, math.cos(time+0.8), 1, 1, ox, oy)
		love.graphics.setColor(r, g, b, 0.7)
		love.graphics.draw(image, w2, h2, math.cos(time+0.6), 1, 1, ox, oy)
		love.graphics.setColor(r, g, b, 0.8)
		love.graphics.draw(image, w2, h2, math.cos(time+0.4), 1, 1, ox, oy)
		love.graphics.setColor(r, g, b, 0.9)
		love.graphics.draw(image, w2, h2, math.cos(time+0.2), 1, 1, ox, oy)
		love.graphics.setColor(r, g, b, 1.0)
		love.graphics.draw(image, w2, h2, math.cos(time+0.0), 1, 1, ox, oy)
		love.graphics.setColor(14/16, 14/16, 14/16, 1)
		love.graphics.print("press space to enable plain mode\ntime\nr\ng\nb\nox\noy", 20, 20)
		love.graphics.print(string.format("\n%f\n%f\n%f\n%f\n%f\n%f", time, r, g, b, ox, oy), 60, 20)
		love.graphics.rectangle("fill", w-192-24, 20, 196, 196)
		love.graphics.draw(reference, w-192-22, 22)
	end
end

function love.handlers.keypressed(key)
	if key == "space" then
		plain = not plain
	end
end
