local starttime
local highlighted
local options
local optionsFunc
function love.load()
	love.graphics.setBackgroundColor(131/256, 192/256, 240/256, 1)
	starttime = love.timer.getTime()
	
	highlighted = 1
	options = {
		"Go to documentation",
		"Go to repository",
		"Colors demo",
		"Message box demo",
		"Rotation demo",
		"Cursor demo",
		"Passing Clouds demo",
		"LÖVE 0.9.0 no game",
		"Test error handler"
	}
	local function boot(path)
		love.load = nil
		love.update = nil
		love.draw = nil
		for k, v in pairs(love.handlers) do
			love.handlers[k] = function() end
		end
		love.graphics.setBackgroundColor(0, 0, 0, 1)
		love.graphics.setColor(1, 1, 1, 1)
		require(path)
		if love.load then love.load() end
	end
	local window = infatuated.js.global.window
	optionsFunc = {
		function()
			window:open("https://tilde.club/~entoreor/infatuated/documentation.php", "_self")
		end,
		function()
			window:open("https://tildegit.org/entoreor/infatuated", "_self")
		end,
		function() boot("demos.colors") end,
		function() boot("demos.msgbox") end,
		function() boot("demos.rotate") end,
		function() boot("demos.cursor") end,
		function() window.location.href = window.location.href:sub(1, window.location.href:find("?")).."?game=nf-demos.passingclouds&shim=0.9.0" end,
		function() window.location.href = window.location.href:sub(1, window.location.href:find("?")).."?game=nf-nogame9-0&shim=0.9.0" end,
		function()
			error("deliberate crash")
		end
	}
end

function love.update(dt)
	
end

function love.draw()
	local width, height = love.graphics.getWidth(), love.graphics.getHeight()
	local wh, hh = width/2, height/2
	
	love.graphics.setColor(0, 0, 0, 0.5)
	love.graphics.rectangle("fill", wh-128+16, hh-192+16, 256, 384)
	love.graphics.setColor(248/256, 252/256, 255/256, 1)
	love.graphics.rectangle("fill", wh-128, hh-192, 256, 384)
	
	love.graphics.setColor(40/256, 70/256, 92/256, 1)
	love.graphics.printf("Infatuated", wh-128, hh-192+16, 256, "center")
	love.graphics.printf("↑↓ - Change highlighted option\nEnter - Select option", wh-128+10, hh+192-16-24, 256-20, "left")
	
	for i=1, #options do
		if i == highlighted then
			love.graphics.setColor(124/256, 175/256, 69/256, 1)
		else
			love.graphics.setColor(230/256, 88/256, 160/256, 1)
		end
		local y = hh-192+32+12+(18*(i-1))
		love.graphics.rectangle("fill", wh-128+10, y, 256-20, 18)
		love.graphics.setColor(1, 1, 1, 1)
		love.graphics.print(options[i], wh-128+12, y+2)
	end
end

function love.handlers.keypressed(key, scan, repeated)
	--print(key)
	if key == "up" then
		highlighted = highlighted-1
		if highlighted < 1 then highlighted = #options end
	elseif key == "down" then
		highlighted = highlighted+1
		if highlighted > #options then highlighted = 1 end
	elseif key == "return" then
		optionsFunc[highlighted]()
	end
end
