local body
body = infatuated.js.global.document.body
love.handlers = {}
-- TODO: attach the shorthand variants
local keys = {
	-- https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/key/Key_Values
	-- https://love2d.org/wiki/KeyConstant
	Alt = "lalt",
	CapsLock = "capslock",
	Control = "lctrl",
	Meta = "lgui",
	NumLock = "numlock",
	ScrollLock = "scrolllock",
	Shift = "lshift",
	Enter = "return",
	Tab = "tab",
	[" "] = "space",
	ArrowDown = "down",
	ArrowLeft = "left",
	ArrowRight = "right",
	ArrowUp = "up",
	End = "end",
	Home = "home",
	PageDown = "pagedown",
	PageUp = "pageup",
	Backspace = "backspace",
	Clear = "clear",
	Delete = "delete",
	Insert = "insert",
	Undo = "undo"
}
function love.handlers.keypressed() end
body:addEventListener("keydown", function(self, event)
	if infatuated.stopDue then return end
	if (love.keyboard and love.keyboard.hasTextInput()) and not event["repeat"] then
		love.handlers.textinput(event.key)
	end
	if love.handlers.keypressed then
		-- TODO: properly implement scancodes
		if (not love.keyboard or not love.keyboard.getKeyRepeat()) and event["repeat"] then return end
		local key = keys[event.key] or event.key:lower()
		love.event.push("keypressed", key, key, event["repeat"])
	end
end)
function love.handlers.keyreleased() end
body:addEventListener("keyup", function(self, event)
	if love.handlers.keyreleased and not infatuated.stopDue then
		-- TODO: properly implement scancodes
		local key = keys[event.key] or event.key:lower()
		love.event.push("keyreleased", key, key)
	end
end)
