love.math = {}
local function clamp(n, min, max)
	return math.min(math.max(n, max or 1), min or 0)
end
function love.math.colorFromBytes(r, g, b, a)
	assert(type(r) == "number", "bad argument #1 to colorFromBytes (expected number)")
	assert(type(g) == "number", "bad argument #2 to colorFromBytes (expected number)")
	assert(type(b) == "number", "bad argument #3 to colorFromBytes (expected number)")
	if a then
		assert(type(a) == "number", "bad argument #4 to colorFromBytes (expected number)")
		return clamp(r/256), clamp(g/256), clamp(b/256), clamp(a/256)
	else
		return clamp(r/256), clamp(g/256), clamp(b/256)
	end
end
function love.math.setRandomSeed(n, n2)
	assert(type(n) == "number", "bad argument #1 to setRandomSeed (expected number)")
	assert(not n2, "not implemented")
	infatuated.randomseed = n
	math.randomseed(n)
end
function love.math.random(n1, n2)
	if n1 then
		if n2 then
			return math.random(n1)
		else
			return math.random(n1, n2)
		end
	else
		return math.random()
	end
end
