love.window = {}
function love.window.getDPIScale()
	return 1
end
love.window.getPixelScale = love.window.getDPIScale
function love.window.fromPixels(pixelvalue)
	assert(type(pixelvalue) == "number", "bad argument #1 to fromPixels (expected number)")
	return pixelvalue
end
love.window.getDimensions = love.graphics and love.graphics.getDimensions
function love.window.showMessageBox(title, message, buttonlist, mbtype, attachtowindow)
	assert(type(title) == "string", "bad argument #1 to title (string expected)")
	assert(type(message) == "string", "bad argument #2 to title (string expected)")
	if type(buttonlist) == "string" then
		attachtowindow = mbtype
		mbtype = buttonlist
		buttonlist = nil
	end
	local shouldreturn = buttonlist ~= nil
	buttonlist = buttonlist or {"OK"}
	mbtype = mbtype or "info"
	attachtowindow = attachtowindow or true
	assert(type(buttonlist) == "table", "bad argument #3 to title (table expected)")
	assert(type(mbtype) == "string", "bad argument #4 to title (string expected)")
	assert(type(attachtowindow) == "boolean", "bad argument #5 to title (boolean expected)")
	local co = assert(coroutine.running(infatuated.thread), "must be run in a coroutine")
	local retval
	infatuated.msgbox:show(title, message, buttonlist, function(i)
		retval = i
		coroutine.resume(infatuated.thread)
	end)
	coroutine.yield()
	return shouldreturn and retval or true
end
local document = infatuated.js.global.document
function love.window.getTitle()
	return document.title
end
function love.window.setTitle(name)
	assert(type(name) == "string", "bad argument #1 to setTitle (expected string)")
	document.title = name
end

local c = infatuated.canvas
function love.window.setMode(width, height, flags)
	flags = flags or {
		fullscreen = false,
		fullscreentype = "desktop",
		vsync = 1,
		msaa = 0,
		stencil = true,
		depth = 0,
		resizable = false,
		borderless = false,
		centered = true,
		display = 1,
		minwidth = 1,
		minheight = 1,
		highdpi = false,
		x = nil,
		y = nil,
		usedpiscale = true
	}
	assert(type(width) == "number", "bad argument #1 to setMode (expected number)")
	assert(type(height) == "number", "bad argument #2 to setMode (expected number)")
	assert(type(flags) == "table", "bad argument #3 to setMode (expected table)")
	c.width = width
	c.height = height
end
